## django-model-utils 2.0.3

=== Makefile ===
all: init docs test

init:
	python setup.py develop
	pip install tox coverage Sphinx

test:
	coverage erase
	tox
	coverage html

docs: documentation

documentation:
	python setup.py build_sphinx

## django-model-utils 1.1.0

=== debian/changelog ===
django-model-utils (1.1.0-1) unstable; urgency=low

  * Initial packaging release.
    Closes: bug#694583.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 28 Nov 2012 02:27:06 +0100

=== debian/control ===
Source: django-model-utils
Section: python
Priority: extra
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends: devscripts,
 python,
 cdbs (>= 0.4.97~),
 debhelper,
 dh-buildinfo,
 python-setuptools,
 python-django
Standards-Version: 3.9.3
Homepage: https://bitbucket.org/carljm/django-model-utils
Vcs-Git: git://git.debian.org:/git/collab-maint/python-django-model-utils
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-django-model-utils.git

Package: python-django-model-utils
Architecture: all
Depends: ${cdbs:Depends},
 ${misc:Depends},
 ${python:Depends}
Description: Django model mixins and utilities
 Django is a high-level web application framework that loosely follows
 the model-view-controller design pattern.
 .
 django-model-utils model provides some mixins and utilities for Django,
 including QueryManager for one-line definition of Managers returning a
 custom QuerySet, InheritanceCastModel for more efficient use of model
 inheritance, and TimeStampedModel.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2012 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for django-model-utils
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

DEB_BUILDDIR = build

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/python-distutils.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkg = python-$(DEB_UPSTREAM_PACKAGE)

DEB_UPSTREAM_URL = https://bitbucket.org//carljm/$(DEB_UPSTREAM_PACKAGE)/get
DEB_UPSTREAM_TARBALL_BASENAME = $(DEB_UPSTREAM_TARBALL_VERSION)
DEB_UPSTREAM_TARBALL_EXTENSION = tar.bz2
DEB_UPSTREAM_TARBALL_MD5 = 37f60daf5a4c9c51f587288192ff1d0e

# Avoid unneeded build-dependency on python-dev
CDBS_BUILD_DEPENDS_class_python-distutils_python =

# Needed by upstream build process and (always) at runtime
deps = python-django

# Needed by upstream build process
bdeps = python-setuptools

CDBS_BUILD_DEPENDS += , $(bdeps), $(deps)
CDBS_DEPENDS_$(pkg) = $(deps)

build/$(pkg):: debian/stamp-test
debian/stamp-test:
	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,$(cdbs_curpythonindepbinary) runtests.py)
	touch $@
clean::
	rm -f debian/stamp-test

DEB_INSTALL_CHANGELOGS_ALL = CHANGES.rst
DEB_INSTALL_DOCS_ALL = README.rst

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
https://bitbucket.org/carljm/django-model-utils/downloads .*/get/(\d.*)\.tar\.bz2

## django-model-utils 1.3.1

=== debian/changelog ===
django-model-utils (1.3.1-1) unstable; urgency=low

  [ upstream ]
  * New release.
    + Moved primary development from Bitbucket to GitHub.
    + Removed deprecated ChoiceEnum, InheritanceCastModel,
      InheritanceCastManager, and manager_from.
    + Fixed pickling of PassThroughManager.
    + Set use_for_related_fields = True on QueryManager.
    + Added __len__ method to Choices.
    + Fixed InheritanceQuerySet on Django 1.5.
    + Allow specifying default value for a StatusField.
    + Fix calling create() on a RelatedManager that subclasses a dynamic
      PassThroughManager.
    + Add workaround in InheritanceQuerySet to avoid overriding prior
      calls to select_related().
    + Added support for arbitrary levels of model inheritance in
      InheritanceManager.
    + Added ModelTracker for tracking field changes between model saves.
    + Added explicit default to BooleanField in tests, for Django trunk
      compatibility.
    + Fix intermittent StatusField bug.
    Closes: bug#711358. Thanks to Jakub Wilk.

  [ Jonas Smedegaard ]
  * Update README.source to emphasize control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Update upstream Homepage and source to github.
  * Bump standards-version to 3.9.4.
  * Extend coverage for main copyright holder.
  * Bump packaging license to GPL-3+, and extend coverage to include
    current year.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 06 Jun 2013 21:12:17 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
  dh-buildinfo,
  python-setuptools,
  python-django
-Standards-Version: 3.9.3
-Homepage: https://bitbucket.org/carljm/django-model-utils
+Standards-Version: 3.9.4
+Homepage: https://github.com/carljm/django-model-utils/
 Vcs-Git: git://git.debian.org:/git/collab-maint/python-django-model-utils
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-django-model-utils.git

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,11 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2012 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2012, 2013 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for django-model-utils
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2, or (at your option)
+# the Free Software Foundation; either version 3, or (at your option)
 # any later version.
 #
 # This program is distributed in the hope that it will be useful, but
@@ -25,10 +25,8 @@
 
 pkg = python-$(DEB_UPSTREAM_PACKAGE)
 
-DEB_UPSTREAM_URL = https://bitbucket.org//carljm/$(DEB_UPSTREAM_PACKAGE)/get
+DEB_UPSTREAM_URL = https://github.com/carljm/$(DEB_UPSTREAM_PACKAGE)/archive
 DEB_UPSTREAM_TARBALL_BASENAME = $(DEB_UPSTREAM_TARBALL_VERSION)
-DEB_UPSTREAM_TARBALL_EXTENSION = tar.bz2
-DEB_UPSTREAM_TARBALL_MD5 = 37f60daf5a4c9c51f587288192ff1d0e
 
 # Avoid unneeded build-dependency on python-dev
 CDBS_BUILD_DEPENDS_class_python-distutils_python =

## django-model-utils 2.0.3

=== debian/changelog ===
django-model-utils (2.0.3-2) unstable; urgency=low

  * Python3 package.

 -- Brian May <bam@debian.org>  Thu, 03 Jul 2014 16:07:56 +1000

django-model-utils (2.0.3-1) unstable; urgency=low

  * New upstream release. Closes: #739578.
  * Take over package from Jonas Smedegaard. Thanks to his contribution to
    Debian.
  * Remove reference to git repository, it doesn't appear to exist.
  * Update to dh_python2.

 -- Brian May <bam@debian.org>  Fri, 02 May 2014 09:58:50 +1000

=== debian/control ===
Source: django-model-utils
Section: python
Priority: extra
Maintainer: Brian May <bam@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>=8.1.0), dh-python,
 python-all, python-setuptools, python-django,
 python3-all (>= 2.6.6-3~), python3-setuptools, python3-django
Standards-Version: 3.9.5
Homepage: https://github.com/carljm/django-model-utils/

Package: python-django-model-utils
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Django model mixins and utilities
 Django is a high-level web application framework that loosely follows
 the model-view-controller design pattern.
 .
 django-model-utils model provides some mixins and utilities for Django,
 including QueryManager for one-line definition of Managers returning a
 custom QuerySet, InheritanceCastModel for more efficient use of model
 inheritance, and TimeStampedModel.

Package: python3-django-model-utils
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Django model mixins and utilities
 Django is a high-level web application framework that loosely follows
 the model-view-controller design pattern.
 .
 django-model-utils model provides some mixins and utilities for Django,
 including QueryManager for one-line definition of Managers returning a
 custom QuerySet, InheritanceCastModel for more efficient use of model
 inheritance, and TimeStampedModel.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=django-model-utils

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

.PHONY: override_dh_auto_test
override_dh_auto_test:
	python runtests.py
	python3 runtests.py

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

## django-model-utils 2.4

=== Makefile ===
--- 
+++ 
@@ -13,3 +13,9 @@
 
 documentation:
 	python setup.py build_sphinx
+
+messages:
+	python translations.py make
+
+compilemessages:
+	python translations.py compile

=== debian/changelog ===
django-model-utils (2.4-1) unstable; urgency=medium

  * New upstream issues.
  * Fixes FTBFS with Django 1.9. Closes: #806350.

 -- Brian May <bam@debian.org>  Thu, 03 Dec 2015 09:03:21 +1100

django-model-utils (2.3.1-3) unstable; urgency=medium

  * Run tests for Python 3.4 and Python 3.5.

 -- Brian May <bam@debian.org>  Mon, 26 Oct 2015 13:26:34 +1100

django-model-utils (2.3.1-2) unstable; urgency=medium

  * Add VCS-* headers.
  * Update Standards-Version to 3.9.6.

 -- Brian May <bam@debian.org>  Mon, 12 Oct 2015 18:03:27 +1100

django-model-utils (2.3.1-1) unstable; urgency=medium

  * New upstream version.
  * Swap maintainer and uploaders. Maintainer now set to DPMT.

 -- Brian May <bam@debian.org>  Mon, 12 Oct 2015 16:28:31 +1100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: django-model-utils
 Section: python
 Priority: extra
-Maintainer: Brian May <bam@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Brian May <bam@debian.org>
 Build-Depends: debhelper (>=8.1.0), dh-python,
  python-all, python-setuptools, python-django,
  python3-all (>= 2.6.6-3~), python3-setuptools, python3-django
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://github.com/carljm/django-model-utils/
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/django-model-utils.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-model-utils.git
 
 Package: python-django-model-utils
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,7 @@
 
 .PHONY: override_dh_auto_test
 override_dh_auto_test:
-	python runtests.py
-	python3 runtests.py
+	dh_auto_test -- --system=custom --test-args="{interpreter} ./runtests.py"
 
 .PHONY: override_dh_installchangelogs
 override_dh_installchangelogs:

## django-model-utils 2.5.2

=== requirements.txt ===
tox
sphinx
twine

=== debian/changelog ===
django-model-utils (2.5.2-2) unstable; urgency=medium

  [ Ben Finney ]
  * Improve package description. Closes: #834116, Closes: #834117.

  [ Brian May ]
  * New upstream release.
  * Fix FTBFS: Closes: #828651.
  * Update standards version to 3.9.8.

 -- Brian May <bam@debian.org>  Sun, 11 Sep 2016 12:56:36 +1000

=== debian/control ===
Source: django-model-utils
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Brian May <bam@debian.org>
Build-Depends: debhelper (>=8.1.0), dh-python,
 python-all, python-setuptools, python-django,
 python3-all (>= 2.6.6-3~), python3-setuptools, python3-django
Standards-Version: 3.9.8
Homepage: https://github.com/carljm/django-model-utils/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-model-utils.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-model-utils.git

Package: python-django-model-utils
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Django model mixins and utilities — Python 2
 Django is a high-level web application framework that loosely follows
 the model-view-controller design pattern.
 .
 The ‘django-model-utils’ library provides some mixins and utilities
 for Django:
 .
  * QueryManager: one-line definition of Managers returning a
    custom QuerySet.
  * InheritanceCastModel: more efficient use of model inheritance
  * TimeStampedModel: self-updating ‘created’ and ‘modified’ fields.
 .
 This package installs the library for Python 2.

Package: python3-django-model-utils
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Django model mixins and utilities — Python 3
 Django is a high-level web application framework that loosely follows
 the model-view-controller design pattern.
 .
 The ‘django-model-utils’ library provides some mixins and utilities
 for Django:
 .
  * QueryManager: one-line definition of Managers returning a
    custom QuerySet.
  * InheritanceCastModel: more efficient use of model inheritance
  * TimeStampedModel: self-updating ‘created’ and ‘modified’ fields.
 .
 This package installs the library for Python 3.

## django-model-utils 3.0.0

=== requirements.txt ===
# Dependencies for development of django-model-utils

tox
sphinx
twine

=== debian/changelog ===
django-model-utils (3.0.0-1) unstable; urgency=medium

  * New upstream version. Closes: :#865559.

 -- Brian May <bam@debian.org>  Mon, 03 Jul 2017 16:54:26 +1000

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: extra
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Brian May <bam@debian.org>
-Build-Depends: debhelper (>=8.1.0), dh-python,
- python-all, python-setuptools, python-django,
- python3-all (>= 2.6.6-3~), python3-setuptools, python3-django
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>=9), dh-python,
+ python-all, python-setuptools, python-django, python-freezegun,
+ python3-all (>= 2.6.6-3~), python3-setuptools, python3-django, python3-freezegun,
+Standards-Version: 4.0.0
 Homepage: https://github.com/carljm/django-model-utils/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-model-utils.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-model-utils.git

## django-model-utils 3.1.1

=== debian/changelog ===
django-model-utils (3.1.1-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Andrey Rahmatullin ]
  * Drop Python 2 support.
  * Disable tests for deferred fields which don't work with Django 2.2.

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 07 Aug 2019 01:05:46 +0500

django-model-utils (3.1.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1

  [ Brian May ]
  * New upstream version.

 -- Brian May <bam@debian.org>  Tue, 01 May 2018 08:14:02 +1000

=== debian/control ===
Source: django-model-utils
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Brian May <bam@debian.org>
Build-Depends: debhelper-compat (= 9), dh-python,
 python3-all (>= 2.6.6-3~), python3-setuptools, python3-django, python3-freezegun, python3-pytest, python3-pytest-django,
Standards-Version: 4.0.0
Homepage: https://github.com/carljm/django-model-utils/
Vcs-Git: https://salsa.debian.org/python-team/modules/django-model-utils.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/django-model-utils

Package: python3-django-model-utils
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Django model mixins and utilities — Python 3
 Django is a high-level web application framework that loosely follows
 the model-view-controller design pattern.
 .
 The ‘django-model-utils’ library provides some mixins and utilities
 for Django:
 .
  * QueryManager: one-line definition of Managers returning a
    custom QuerySet.
  * InheritanceCastModel: more efficient use of model inheritance
  * TimeStampedModel: self-updating ‘created’ and ‘modified’ fields.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=django-model-utils

%:
	dh $@ --with python3 --buildsystem=pybuild

.PHONY: override_dh_auto_test
override_dh_auto_test:
	# deferred fields don't work: https://github.com/jazzband/django-model-utils/issues/374
	dh_auto_test -- --system=custom --test-args="{interpreter} -m pytest -k 'not deferred'"

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
https://github.com/carljm/django-model-utils/tags .*/archive/v?(\d[\d\.]+).tar.gz

## django-model-utils 4.2.0

=== Makefile ===
VIRTUALENV = virtualenv --python=python3
PYTHON = $(VENV)/bin/python
VENV := $(shell echo $${VIRTUAL_ENV-.venv})
INSTALL_STAMP = $(VENV)/.install.stamp

all: init docs test

init: $(INSTALL_STAMP)
$(INSTALL_STAMP): $(PYTHON) setup.py
	$(VENV)/bin/pip install -e .
	$(VENV)/bin/pip install tox coverage Sphinx
	touch $(INSTALL_STAMP)

virtualenv: $(PYTHON)
$(PYTHON):
	$(VIRTUALENV) $(VENV)

test: init
	$(VENV)/bin/coverage erase
	$(VENV)/bin/tox
	$(VENV)/bin/coverage html

docs: documentation

documentation: init
	$(PYTHON) setup.py build_sphinx

messages: init
	$(PYTHON) translations.py make

compilemessages: init
	$(PYTHON) translations.py compile

format:
	isort model_utils tests setup.py

=== requirements.txt ===
--- 
+++ 
@@ -3,3 +3,4 @@
 tox
 sphinx
 twine
+freezegun

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-model-utils.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-model-utils.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/django-model-utils"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/django-model-utils"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
django-model-utils (4.2.0-1) unstable; urgency=medium

  * Team upload
  * [d6f41e2] New upstream version 4.2.0
  * [722c16f] d/control: Change B-D on python3-all to python3-all:any

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 15 Oct 2021 17:46:15 +0200

django-model-utils (4.1.1-2) unstable; urgency=medium

  * Team upload
  * [70c36a9] d/control: Update upstream homepage (Closes: #958175)
  * [2a7caf7] d/copyright: Update data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 25 Sep 2021 08:48:10 +0200

django-model-utils (4.1.1-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Carsten Schoenert ]
  * [065bbbd] d/gbp.conf: Update content for easier packaging
  * [56e646d] New upstream version 4.1.1
    (Closes: 961160)
  * [2ff87ba] Add a patch queue from a patchqueue branch
    Added patch:
    Don-t-rely-on-setuptools_scm.patch
  * [10e27b5] d/watch: Update to version 4
  * [eb70c18] d/rules: Don't run dh_auto_test for now
    The test suite needs now a running PostgreSQL database which I'm unable
    to add right now within the build setup. But could be added later.
  * [936e32e] d/control: Running wrap-and-sort -ast
  * [c11e9d0] d/control: Bump debhelper version to 13
  * [6d1766a] d/control: Remove obsolet min version for python3-all
  * [a54c75f] d/control: Update Standards-Version to 4.6.0
  * [a037e04] d/control: Adding entry Rules-Requires-Root: no
  * [edc118d] Build and package also the -doc package by dh_sphinxdoc
  * [1b7ad1c] python-django-model-utils-doc: Adding doc-base registration
  * [f3687bb] d/u/metadata: Adding some basic metadata
  * [f3b09ac] d/docs: Move into package specific sequencer

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 11 Sep 2021 17:58:13 +0200

=== debian/control ===
Source: django-model-utils
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Brian May <bam@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all:any,
 python3-django,
 python3-freezegun,
# python3-pytest,
# python3-pytest-django,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://github.com/jazzband/django-model-utils
Vcs-Git: https://salsa.debian.org/python-team/packages/django-model-utils.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/django-model-utils

Package: python-django-model-utils-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: Django model mixins and utilities — Documentation
 Django is a high-level web application framework that loosely follows
 the model-view-controller design pattern.
 .
 The ‘django-model-utils’ library provides some mixins and utilities
 for Django:
 .
  * QueryManager: one-line definition of Managers returning a
    custom QuerySet.
  * InheritanceCastModel: more efficient use of model inheritance
  * TimeStampedModel: self-updating ‘created’ and ‘modified’ fields.
 .
 This package installs the documentation for the library.

Package: python3-django-model-utils
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests: python-django-model-utils-doc
Description: Django model mixins and utilities — Python 3
 Django is a high-level web application framework that loosely follows
 the model-view-controller design pattern.
 .
 The ‘django-model-utils’ library provides some mixins and utilities
 for Django:
 .
  * QueryManager: one-line definition of Managers returning a
    custom QuerySet.
  * InheritanceCastModel: more efficient use of model inheritance
  * TimeStampedModel: self-updating ‘created’ and ‘modified’ fields.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=django-model-utils

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -N docs $(CURDIR)/debian/python-django-model-utils-doc/usr/share/doc/python-django-model-utils-doc/html
	dh_sphinxdoc
endif

override_dh_auto_test:

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

=== debian/watch ===
# watch file for python-django-model-utils

version=4

opts="mode=git, \
      filenamemangle=s/.+\/(\d\S*)\.tar\.gz/django-model-utils-$1.tar.gz/ \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/; \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/carljm/django-model-utils.git \
      refs/tags/v?(\d[\d\.]+)

## django-model-utils 5.0.0

=== requirements.txt ===
--- 
+++ 
@@ -2,5 +2,5 @@
 
 tox
 sphinx
+time-machine
 twine
-freezegun

=== docs/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 # User-friendly check for sphinx-build
 ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
-$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
+$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from https://sphinx-doc.org/)
 endif
 
 # Internal variables.

=== debian/changelog ===
django-model-utils (5.0.0-1) unstable; urgency=medium

  * [2585de4] d/watch: Convert to version 5
  * [87bf4b1] New upstream version 5.0.0
  * [2321e7b] d/control: Add Testsuite: autopkgtest-pkg-python
  * [259f63a] d/control: Bump Standards-Version to 4.7.3
    No further changes needed.
  * [92a728e] d/control: Drop field Priority: optional
  * [efd2c6b] d/control: Remove Rules-Requires-Root
    The setting of Rules-Requires-Root: no is now default.
  * [7c7ccb6] d/control: Remove commented pytest* packages
  * [1ed7535] d/rules: Use PYBUILD_DISABLE variable to drop tests
  * [7956843] d/control: Use dh-sequencer* and pybuild* helper packages
  * [7394de4] d/rules: Drop --with argument in default rule
  * [e051ac8] d/rules: Use variable SPHINXOPTS for Sphinx options
  * [206bdbd] d/t/autopkgtest-pkg-python.conf: Use correct module name

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 01 Mar 2026 11:19:05 +0200

django-model-utils (4.2.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * [4d2424a] Set upstream metadata fields: Repository-Browse.
  * [e154cd8] Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 21:10:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,24 @@
 Source: django-model-utils
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Brian May <bam@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
+ pybuild-plugin-pyproject,
  python3-all:any,
  python3-django,
  python3-freezegun,
-# python3-pytest,
-# python3-pytest-django,
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/jazzband/django-model-utils
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-model-utils.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-model-utils
+Testsuite: autopkgtest-pkg-python
 
 Package: python-django-model-utils-doc
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=django-model-utils
# The test do require a PostgreSQL instance, this is something we can't
# provide at build time.
export PYBUILD_DISABLE=test

SPHINXOPTS := -E -N

%:
	dh $@ --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html $(SPHINXOPTS) docs $(CURDIR)/debian/python-django-model-utils-doc/usr/share/doc/python-django-model-utils-doc/html
	dh_sphinxdoc
endif

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

=== debian/watch ===
Version: 5

Template: Github
Project: django-model-utils
Owner: jazzband
Dversion-Mangle: auto
Uversion-Mangle: auto
Compression: gz
Pgpmode: none
